Bug 616264 - [abrt] crash in radiotray-0.5.1-3.fc13: apihelpers.pxi:1295:lxml.etree._utf8 (src/lxml/lxml.etree.c:20212):ValueError: All strings must be XML compatible: Unicode or ASCII, no NULL bytes
Summary: [abrt] crash in radiotray-0.5.1-3.fc13: apihelpers.pxi:1295:lxml.etree._utf8 ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: radiotray   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ab62d419
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 23:59 UTC by bobpoljakov
Modified: 2010-09-10 00:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 00:22:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.01 KB, text/plain)
2010-07-19 23:59 UTC, bobpoljakov
no flags Details

Description bobpoljakov 2010-07-19 23:59:18 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/radiotray
component: radiotray
executable: /usr/bin/radiotray
kernel: 2.6.33.6-147.fc13.x86_64
package: radiotray-0.5.1-3.fc13
reason: apihelpers.pxi:1295:lxml.etree._utf8 (src/lxml/lxml.etree.c:20212):ValueError: All strings must be XML compatible: Unicode or ASCII, no NULL bytes
release: Fedora release 13 (Goddard)

comment
-----
The name of the station was: Radio Café
The URL was: http://media.dream.hu:18000

How to reproduce
-----
1.I was trying to add a new station
2.Program crashed
3.

Comment 1 bobpoljakov 2010-07-19 23:59:21 UTC
Created attachment 433034 [details]
File: backtrace

Comment 2 Jean-Francois Saucier 2010-07-22 16:58:06 UTC
I have pushed a new version (0.6) that should fix the problem (at least on my laptop, adding this station work fine).

Can you please update to the new version when it come out and report here if it fix it for you?


Thank you.

Comment 3 bobpoljakov 2010-07-25 09:12:15 UTC
Hi, I updated to the problem still exists. I see that the problem with the accents. I can use radiotray if I don't use é,á...

Comment 4 Eduardo Toledo 2010-08-24 19:38:22 UTC
Package: radiotray-0.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open RadioTray
2.add second radio to the list
3.crashed

Comment 5 Jean-Francois Saucier 2010-09-09 14:23:27 UTC
The bug as been reported upstream, waiting for feedback from their end. Thank you for reporting this bug and providing the necessary information.

Comment 6 Jean-Francois Saucier 2010-09-10 00:22:10 UTC
This bug will be fixed in radiotray 0.6.1. The package for Fedora will come out not far after upstream ship the next version.

Thanks for reporting this bug and don't hesitate to reopen if this bug is still present in the next version.


Note You need to log in before you can comment on or make changes to this bug.